module("luci.controller.dnp3", package.seeall)

local uci = require "luci.model.uci".cursor()
local utl = require "luci.util"
local sys = require "luci.sys"

function index()
	local dnp3 = nixio.fs.access("/usr/bin/dnp3-master")
	local dnp3_to_ftp = nixio.fs.access("/usr/bin/dnp3-to-ftp")
	local dnp3_to_mqtt = nixio.fs.access("/usr/bin/dnp3-to-mqtt")
	local dnp3_to_iec104 = nixio.fs.access("/usr/bin/dnp3-to-iec104")
	if dnp3 then
		entry({"admin", "services", "dnp3"},  firstchild(), _("DNP3"), 97)
		entry({"admin", "services", "dnp3", "dnp3_master"}, arcombine(cbi("dnp3_master"),
			cbi("dnp_slave_details")), _("DNP3 Master"), 30).leaf = true
	end
	if dnp3_to_ftp then
		entry({"admin", "services", "dnp3", "dnp3_to_ftp"},  cbi("dnp3_to_ftp"),  _("DNP3 to FTP"), 50).leaf = true
	end
	if dnp3_to_mqtt then
		entry({"admin", "services", "dnp3", "dnp3_to_mqtt"},  cbi("dnp3_to_mqtt"),  _("DNP3 to MQTT"), 60).leaf = true
	end
	if dnp3_to_iec104 then
		entry({"admin", "services", "dnp3", "dnp3_to_iec104"},  cbi("dnp3_to_iec104"),  _("DNP3 to IEC104"), 70).leaf = true
	end

	entry({"admin", "services", "dnp3", "backup"},  cbi("backup_dnp"),  _("Backup and Restore"), 90).leaf = true

end


