-- Copyright 2018 Rosy Song <rosysong@rosinson.com>
-- Licensed to the public under the Apache License 2.0.

local uci = require "luci.model.uci".cursor()
local ds = require "luci.dispatcher"

local targets = {['name'] = 'dnp3-master'}
local server_root = luci.http.formvalue("server_root") or "/www/config/"
local buffer = io.popen("/bin/busybox ls -ahLlp %s" % server_root)



m = SimpleForm("Backup Configuration", translate("Click on the Configuration File Name to download"))
m.reset = false
m.submit = false


s = m:section(Table, targets)

mm_download = s:option(DummyValue, "", translate("DNP3 Master"))
mm_download.rawhtml = true

function mm_download.cfgvalue(self, section)
	local v = "dnp3-master"
	local hv = (v == "../") and "Parent Directory" or v

		-- File
		return translatef("<a href='%s%s'><input type='button' value='Download'></input> </a>",
			string.sub(server_root,5), hv, hv);
end

dnp3_master = s:option(FileUpload, "dnp3-master", translate("Upload DNP3 Master config"), translate(""))
dnp3_master.enable_remove = false
dnp3_master.root_directory = "/etc/config/"
dnp3_master.readonly = true

d2i_download = s:option(DummyValue, "", translate("DNP3 To IEC104"))
d2i_download.rawhtml = true

function d2i_download.cfgvalue(self, section)
	local v = "dnp3-to-iec104"
	local hv = (v == "../") and "Parent Directory" or v

		-- File
		return translatef("<a href='%s%s'><input type='button' value='Download'></input> </a>",
			string.sub(server_root,5), hv, hv);
end

dnp3_config = s:option(FileUpload, "dnp3-to-iec104", translate("Upload dnp3 to iec104 config"), translate(""))
dnp3_config.enable_remove = false
dnp3_config.root_directory = "/etc/config/"




return m